<?xml version="1.0" encoding="ISO-8859-1"?>
<!--.................................................................
    file :         newsyahoo.xslt

    author :     Zoe Drey <zoe.drey@logilab.fr>
    crea-date : 5-09-2001
    .................................................................
    description :
        This is my first recipe. and my first transform.
    ................................................................. -->
<xsl:transform version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform' >
<xsl:output  method='xml' indent='yes' encoding='ISO-8859-1' version='1.0'/>

<xsl:strip-space elements='*' />
<!-- Define the prototype -->
<prototype>
<description lang='fr'>Construction de la rss des news de Yahoo</description>
<description lang='en'>Extract rss definition from the Yahoo news</description>
<input><match>xhtml</match>
<description lang="en">xhtml formatted element extracted from the Yahoo News web
page</description></input> 
<output><match>rss</match>
<description lang="en">rss element</description></output>
</prototype>
<!-- Body -->
<!-- <xsl:variable name='yahoo'>http://fr.news.yahoo.com/121/</xsl:variable>
-->
<xsl:template match='xhtml'>
    <rss version="0.91">
    <channel>
        <title><xsl:value-of select='html/head/title/text()' /></title>
        <description>Yahoo news</description>
        <link>http://fr.news.yahoo.com/121/</link>
        <xsl:apply-templates
select='html/body/descendant::td[small[contains(node(),"Galerie de photos")]]' mode="in-item-list"/>
    </channel>
    </rss>
</xsl:template>

<xsl:template match='td' mode="in-item-list">
<xsl:if test='small/a/b[1]'>
    <!-- Special item due to netscape ugly xhtml version-->
    <item>
    <title>
        <xsl:value-of select='small/a/b[1]/a' />
    </title>
    <description>
        <xsl:value-of select='small/a/b[1]/a/font/small' />
    </description>
    </item>
</xsl:if>
    <xsl:apply-templates select="p" mode="in-item-list"/>
</xsl:template>
<xsl:template match='p' mode="in-item-list">
    <item>
    <title>
    <xsl:value-of select='b/a'/></title>
    <description>
    <xsl:apply-templates select='b/a/font/small' /></description>
    <link>
        <xsl:value-of select='concat("http://fr.news.yahoo.com",b/a/@href)'/>
    </link>
    </item>
</xsl:template>
</xsl:transform>













