<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>

<xsl:strip-space elements='*'/>
<xsl:output method='xml'/>

<!-- Narval prototype ====================================================== -->

<prototype>
<description lang="fr">Transforme slashdot.xml en RSS.</description>
<description lang="en">Turn slashdot.xml into RSS.</description>

<input><match>backslash</match>
<description lang="en">slashdot formatted element</description></input>
<output><match>rss</match>
<description lang="en">rss element</description></output>
</prototype>

<xsl:template match='backslash'>
  <rss>
    <channel>
      <title>Slashdot: News for nerds, stuff that matters</title>
      <link>http://slashdot.org</link>
      <description>News for nerds, stuff that matters</description>
      <xsl:apply-templates select='story'/>
    </channel>
  </rss>
</xsl:template>

<xsl:template match='story'>
  <item>
    <xsl:copy-of select='title'/>
    <link>
      <xsl:value-of select='url'/>
    </link>
  </item>
</xsl:template>

</xsl:transform>
