<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>

<xsl:strip-space elements='*'/>
<xsl:output method='xml'/>

<!-- Narval prototype ====================================================== -->

<prototype>
<description lang="fr">transforme un lment rss en data-unit.</description>
<description lang="en">changes rss to data-unit</description>

<input list='yes'><match>rss</match>
<description lang="en">rss elements to transform</description></input>
<output list='yes'><match>data-unit[url]</match>
<description lang="en">data-unit "ready to download" (you have to download its
data before the sort)</description></output>
</prototype>

<!-- root ================================================================== -->

<xsl:template match='rss/channel/item'>
  <data-unit>
    <url><xsl:value-of select='link'/></url>
    <channel-title><xsl:value-of select='../title'/></channel-title>
    <title><xsl:value-of select='title'/></title>
    <data><xsl:apply-templates mode='multi' select='description'/>
    </data>
    <description><xsl:apply-templates mode='multi' select='description'/>
    </description>
  </data-unit>
</xsl:template>

</xsl:transform>

